import type { DMenuMode } from './Menu';
import React from 'react';
export interface DSubProps {
    children: React.ReactNode;
    dId: string;
    dLevel: number;
    dStep: number;
    dSpace: number;
    dIcon: React.ReactNode | undefined;
    dList: React.ReactNode;
    dPopupState: boolean | undefined;
    dTrigger: 'hover' | 'click';
    dPosinset: [number, number];
    dMode: DMenuMode;
    dInNav: boolean;
    dActive: boolean;
    dIncludeActive: boolean;
    dExpand: boolean;
    dEmpty: boolean;
    dFocusVisible: boolean;
    dDisabled: boolean;
    onVisibleChange: (visible: boolean) => void;
    onSubClick: React.MouseEventHandler<HTMLLIElement>;
}
export declare const DSub: React.ForwardRefExoticComponent<DSubProps & React.RefAttributes<() => void>>;
