import type { DFabButtonProps } from './FabButton';
import React from 'react';
import { DFabBacktop } from './FabBacktop';
import { DFabButton } from './FabButton';
export interface DFabProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    children: React.ReactElement<DFabButtonProps>;
    dExpand?: boolean;
    dList?: {
        placement: 'top' | 'right' | 'bottom' | 'left';
        actions: React.ReactElement<DFabButtonProps>[];
    }[];
    onExpandChange?: (expand: boolean) => void;
}
export declare const DFab: {
    (props: DFabProps): JSX.Element | null;
    Button: typeof DFabButton;
    Backtop: typeof DFabBacktop;
};
