/// <reference types="react" />
import type { DSize } from '../../utils/types';
export interface DTagProps extends React.HTMLAttributes<HTMLDivElement> {
    dType?: 'primary' | 'fill' | 'outline';
    dTheme?: 'primary' | 'success' | 'warning' | 'danger';
    dColor?: string;
    dSize?: DSize;
}
export declare function DTag(props: DTagProps): JSX.Element | null;
